#
# spec file for package python-positional
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-positional
Version:        1.1.1
Release:        lp151.3.3
Summary:        Library to enforce positional or key-word arguments
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/morganfainberg/positional
Source:         https://files.pythonhosted.org/packages/source/p/positional/positional-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-wrapt
BuildArch:      noarch
%python_subpackages

%description
`positional` provides a decorator which enforces only some args may be passed
positionally. The idea and some of the code was taken from the oauth2 client
of the google-api client.

%prep
%setup -q -n positional-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc LICENSE
%doc README.rst
%{python_sitelib}/positional
%{python_sitelib}/positional*egg-info

%changelog
* Fri Dec  1 2017 dmueller@suse.com
- convert to singlespec
* Wed Sep 21 2016 dmueller@suse.com
- update to 1.1.1:
  * Update requirements.txt for pbr versions to match
  * Fix the python3 demo in README
- update requires
* Fri Feb 26 2016 dmueller@suse.com
- Initial packaging
